<html>
<head>
<title>OGRE: Ogre::Viewport Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Viewport.html">Viewport</a></div>
<h1>Ogre::Viewport Class Reference</h1><!-- doxytag: class="Ogre::Viewport" -->An abstraction of a viewport, i.e.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Viewport-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#ecd83ce23cc219ed1ba2f9f0b463325b">Viewport</a> (<a class="el" href="classOgre_1_1Camera.html">Camera</a> *camera, <a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *target, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> left, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> top, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> width, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> height, int ZOrder)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The usual constructor.  <a href="#ecd83ce23cc219ed1ba2f9f0b463325b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#7b76633e02431bd4254f6d4629b7672a">~Viewport</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default destructor.  <a href="#7b76633e02431bd4254f6d4629b7672a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#23c2b69bbc3d76fd52a4729a71caed08">_updateDimensions</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Notifies the viewport of a possible change in dimensions.  <a href="#23c2b69bbc3d76fd52a4729a71caed08"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#b281517fd8070ab1617f126b752bb025">update</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Instructs the viewport to updates its contents.  <a href="#b281517fd8070ab1617f126b752bb025"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#87f6429f7060f2dc18aec304bb24e2b2">getTarget</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves a pointer to the render target for this viewport.  <a href="#87f6429f7060f2dc18aec304bb24e2b2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#a947285883082c628512beed7b1a33be">getCamera</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves a pointer to the camera for this viewport.  <a href="#a947285883082c628512beed7b1a33be"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#20aa22b47f03e523aaeb0d54e094fbf3">setCamera</a> (<a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the camera to use for rendering to this viewport.  <a href="#20aa22b47f03e523aaeb0d54e094fbf3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#642b036b0688acdc47745dab0149a84c">getZOrder</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the Z-Order of this viewport.  <a href="#642b036b0688acdc47745dab0149a84c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#d3325a6b0fb12409b0fe8d9499a26322">getLeft</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets one of the relative dimensions of the viewport, a value between 0.0 and 1.0.  <a href="#d3325a6b0fb12409b0fe8d9499a26322"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#242540dcb26c2d3ebd3cbe0cb6c04728">getTop</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets one of the relative dimensions of the viewport, a value between 0.0 and 1.0.  <a href="#242540dcb26c2d3ebd3cbe0cb6c04728"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#6b2b7e7b071c6666c957f2cfbcdeeca6">getWidth</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets one of the relative dimensions of the viewport, a value between 0.0 and 1.0.  <a href="#6b2b7e7b071c6666c957f2cfbcdeeca6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#ceef8b4b94fb974dbd620e16228d08e5">getHeight</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets one of the relative dimensions of the viewport, a value between 0.0 and 1.0.  <a href="#ceef8b4b94fb974dbd620e16228d08e5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#78b1d4c2b44a2243766d18f018a98939">getActualLeft</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets one of the actual dimensions of the viewport, a value in pixels.  <a href="#78b1d4c2b44a2243766d18f018a98939"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#604d46921a9c64ded5c65a9e93b7e8ee">getActualTop</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets one of the actual dimensions of the viewport, a value in pixels.  <a href="#604d46921a9c64ded5c65a9e93b7e8ee"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#6f777d1ade751a38ce0851307f52b6c2">getActualWidth</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets one of the actual dimensions of the viewport, a value in pixels.  <a href="#6f777d1ade751a38ce0851307f52b6c2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#bb04c51b0c8c39ff0d08213d3b263561">getActualHeight</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets one of the actual dimensions of the viewport, a value in pixels.  <a href="#bb04c51b0c8c39ff0d08213d3b263561"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#ed7bc69a7ca7a787d79832dbccff9e27">setDimensions</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> left, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> top, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> width, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> height)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the dimensions (after creation).  <a href="#ed7bc69a7ca7a787d79832dbccff9e27"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#3770973e7626d75592a79d0670b862d9">setBackgroundColour</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;colour)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the initial background colour of the viewport (before rendering).  <a href="#3770973e7626d75592a79d0670b862d9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#a550346673e5e77951bbe44165b59808">getBackgroundColour</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the background colour.  <a href="#a550346673e5e77951bbe44165b59808"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#d9c172c23b0dcccd929f31d4416f9683">setClearEveryFrame</a> (bool clear, unsigned int buffers=FBT_COLOUR|FBT_DEPTH)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determines whether to clear the viewport before rendering.  <a href="#d9c172c23b0dcccd929f31d4416f9683"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#d1894b2114c40f68f98580dcd8110d25">getClearEveryFrame</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determines if the viewport is cleared before every frame.  <a href="#d1894b2114c40f68f98580dcd8110d25"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#747d9d108b9702674598853051d21b7d">getClearBuffers</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets which buffers are to be cleared each frame.  <a href="#747d9d108b9702674598853051d21b7d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#8e8577fd81c45b05de880106f364a281">setMaterialScheme</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;schemeName)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the material scheme which the viewport should use.  <a href="#8e8577fd81c45b05de880106f364a281"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#6a7957a8f88824cb9dffad4627aed0c2">getMaterialScheme</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the material scheme which the viewport should use.  <a href="#6a7957a8f88824cb9dffad4627aed0c2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#464b7641f63ceb11542452e08f0c7682">getActualDimensions</a> (int &amp;left, int &amp;top, int &amp;width, int &amp;height) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Access to actual dimensions (based on target size).  <a href="#464b7641f63ceb11542452e08f0c7682"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#93972965b5498b5aab4e18fe78c93647">_isUpdated</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#7998e64f3a79ac014813218f5e7cdd8e">_clearUpdatedFlag</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#f7c0f96ca9eb135af8b4e4da601fd907">_getNumRenderedFaces</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the number of rendered faces in the last update.  <a href="#f7c0f96ca9eb135af8b4e4da601fd907"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#281c5fa62a3da7ac0a1d9157483e25f3">_getNumRenderedBatches</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the number of rendered batches in the last update.  <a href="#281c5fa62a3da7ac0a1d9157483e25f3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#598f5bd68b1c88cd3ae5a50343965afd">setOverlaysEnabled</a> (bool enabled)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tells this viewport whether it should display <a class="el" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents...">Overlay</a> objects.  <a href="#598f5bd68b1c88cd3ae5a50343965afd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#d1a3965c457f32ef2b94a27c4d66d192">getOverlaysEnabled</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether or not <a class="el" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents...">Overlay</a> objects (created in the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>) are displayed in this viewport.  <a href="#d1a3965c457f32ef2b94a27c4d66d192"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#176a24ccbb9881c4fc61f3f1aaba3c12">setSkiesEnabled</a> (bool enabled)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tells this viewport whether it should display skies.  <a href="#176a24ccbb9881c4fc61f3f1aaba3c12"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#7f298d53b2d7575bbacc0d556df14774">getSkiesEnabled</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether or not skies (created in the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>) are displayed in this viewport.  <a href="#7f298d53b2d7575bbacc0d556df14774"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#b71a4790d66e3cddd3b36b3c1b4fd23c">setShadowsEnabled</a> (bool enabled)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tells this viewport whether it should display shadows.  <a href="#b71a4790d66e3cddd3b36b3c1b4fd23c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#34a4b65ac55e6b6f107f6800050dbdb6">getShadowsEnabled</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether or not shadows (defined in the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>) are displayed in this viewport.  <a href="#34a4b65ac55e6b6f107f6800050dbdb6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#d5a4fe00ee05861c157bf63e78e1c2b0">setVisibilityMask</a> (<a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> mask)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets a per-viewport visibility mask.  <a href="#d5a4fe00ee05861c157bf63e78e1c2b0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#84e9c01f4e8e62422be4fda269dd54cd">getVisibilityMask</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets a per-viewport visibility mask.  <a href="#84e9c01f4e8e62422be4fda269dd54cd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#145439ce2c54216d8d65d3066bbedbdd">setRenderQueueInvocationSequenceName</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;sequenceName)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the use of a custom <a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html" title="Class to hold a linear sequence of RenderQueueInvocation objects.">RenderQueueInvocationSequence</a> for rendering this target.  <a href="#145439ce2c54216d8d65d3066bbedbdd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#78beb299d9ca2681365a19de39708a0d">getRenderQueueInvocationSequenceName</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the name of the render queue invocation sequence for this target.  <a href="#78beb299d9ca2681365a19de39708a0d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html">RenderQueueInvocationSequence</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#dd9644e3223359c0eb1075de0b1b801b">_getRenderQueueInvocationSequence</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the invocation sequence - will return null if using standard.  <a href="#dd9644e3223359c0eb1075de0b1b801b"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#36698bf38ccd2f3352acdfa87f872bc8">mCamera</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#30e4c768a1a5ac98c6b1eae1aa1936a7">mTarget</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#0dd49213851c5c32d8b9688d1ea70ab7">mRelLeft</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#7ad1871b3ae4f48605ba777bc7fad8c2">mRelTop</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#afd8a3dc0df1d03cbab1810379c66475">mRelWidth</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#8e2133edd0baaa674df0874781592e5e">mRelHeight</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#646ba5a5404bdfdf3d79a5a2683304be">mActLeft</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#9964f4588bc0db471354d0b9d7d9ff7f">mActTop</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#4ff8c7f41b09c379d3b58b662a3efea8">mActWidth</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#b7b093d9ac827c273768e53060fd8726">mActHeight</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#682fb477e687507fd715f2dfd29c397c">mZOrder</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ZOrder.  <a href="#682fb477e687507fd715f2dfd29c397c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#36865f1dadd8c420534b75d908d102be">mBackColour</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Background options.  <a href="#36865f1dadd8c420534b75d908d102be"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#cfd2ea86e54aee8f02f41e1fb5dc3b9b">mClearEveryFrame</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#c6f276653f755783c0c7a9553eae8e66">mClearBuffers</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#b709605fc7d6015af896b43cc71831ba">mUpdated</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#628f58393bf84c4fb404421919b6f198">mShowOverlays</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#de5f6bd07d4902efb3e087c73a57ecab">mShowSkies</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#508ab72bd9d5739210a6db2da0cbbc39">mShowShadows</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#9af0d0c0aca7cfedae4bd2b8fef0c333">mVisibilityMask</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#a1a763caddecc5e3d49b72bbd8726ce2">mRQSequenceName</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html">RenderQueueInvocationSequence</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#8b082dd8109b00852809d8ca821dbccb">mRQSequence</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport.html#cbe0e8aaceb85d46ace547d5f5204090">mMaterialSchemeName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> scheme.  <a href="#cbe0e8aaceb85d46ace547d5f5204090"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
An abstraction of a viewport, i.e. 
<p>
a rendering region on a render target. <dl class="remark" compact><dt><b>Remarks:</b></dt><dd>A viewport is the meeting of a camera and a rendering surface - the camera renders the scene from a viewpoint, and places its results into some subset of a rendering target, which may be the whole surface or just a part of the surface. Each viewport has a single camera as source and a single target as destination. A camera only has 1 viewport, but a render target may have several. A viewport also has a Z-order, i.e. if there is more than one viewport on a single render target and they overlap, one must obscure the other in some predetermined way. </dd></dl>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00050">50</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="ecd83ce23cc219ed1ba2f9f0b463325b"></a><!-- doxytag: member="Ogre::Viewport::Viewport" ref="ecd83ce23cc219ed1ba2f9f0b463325b" args="(Camera *camera, RenderTarget *target, Real left, Real top, Real width, Real height, int ZOrder)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Viewport::Viewport           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td>
          <td class="paramname"> <em>camera</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&nbsp;</td>
          <td class="paramname"> <em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>left</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>top</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>ZOrder</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The usual constructor. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>cam</em>&nbsp;</td><td>Pointer to a camera to be the source for the image. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>target</em>&nbsp;</td><td>Pointer to the render target to be the destination for the rendering. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>left</em>&nbsp;</td><td></td></tr>
    <tr><td valign="top"></td><td valign="top"><em>top</em>&nbsp;</td><td></td></tr>
    <tr><td valign="top"></td><td valign="top"><em>width</em>&nbsp;</td><td></td></tr>
    <tr><td valign="top"></td><td valign="top"><em>height</em>&nbsp;</td><td>Dimensions of the viewport, expressed as a value between 0 and 1. This allows the dimensions to apply irrespective of changes in the target's size: e.g. to fill the whole area, values of 0,0,1,1 are appropriate. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>ZOrder</em>&nbsp;</td><td>Relative Z-order on the target. Lower = further to the front. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="7b76633e02431bd4254f6d4629b7672a"></a><!-- doxytag: member="Ogre::Viewport::~Viewport" ref="7b76633e02431bd4254f6d4629b7672a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::Viewport::~Viewport           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default destructor. 
<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="23c2b69bbc3d76fd52a4729a71caed08"></a><!-- doxytag: member="Ogre::Viewport::_updateDimensions" ref="23c2b69bbc3d76fd52a4729a71caed08" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Viewport::_updateDimensions           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Notifies the viewport of a possible change in dimensions. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Used by the target to update the viewport's dimensions (usually the result of a change in target size). </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Internal use by <a class="el" href="namespaceOgre.html">Ogre</a> only. </dd></dl>

</div>
</div><p>
<a class="anchor" name="b281517fd8070ab1617f126b752bb025"></a><!-- doxytag: member="Ogre::Viewport::update" ref="b281517fd8070ab1617f126b752bb025" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Viewport::update           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Instructs the viewport to updates its contents. 
<p>

</div>
</div><p>
<a class="anchor" name="87f6429f7060f2dc18aec304bb24e2b2"></a><!-- doxytag: member="Ogre::Viewport::getTarget" ref="87f6429f7060f2dc18aec304bb24e2b2" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a>* Ogre::Viewport::getTarget           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves a pointer to the render target for this viewport. 
<p>

</div>
</div><p>
<a class="anchor" name="a947285883082c628512beed7b1a33be"></a><!-- doxytag: member="Ogre::Viewport::getCamera" ref="a947285883082c628512beed7b1a33be" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Camera.html">Camera</a>* Ogre::Viewport::getCamera           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves a pointer to the camera for this viewport. 
<p>

</div>
</div><p>
<a class="anchor" name="20aa22b47f03e523aaeb0d54e094fbf3"></a><!-- doxytag: member="Ogre::Viewport::setCamera" ref="20aa22b47f03e523aaeb0d54e094fbf3" args="(Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Viewport::setCamera           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td>
          <td class="paramname"> <em>cam</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the camera to use for rendering to this viewport. 
<p>

</div>
</div><p>
<a class="anchor" name="642b036b0688acdc47745dab0149a84c"></a><!-- doxytag: member="Ogre::Viewport::getZOrder" ref="642b036b0688acdc47745dab0149a84c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Ogre::Viewport::getZOrder           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the Z-Order of this viewport. 
<p>

</div>
</div><p>
<a class="anchor" name="d3325a6b0fb12409b0fe8d9499a26322"></a><!-- doxytag: member="Ogre::Viewport::getLeft" ref="d3325a6b0fb12409b0fe8d9499a26322" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Viewport::getLeft           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets one of the relative dimensions of the viewport, a value between 0.0 and 1.0. 
<p>

</div>
</div><p>
<a class="anchor" name="242540dcb26c2d3ebd3cbe0cb6c04728"></a><!-- doxytag: member="Ogre::Viewport::getTop" ref="242540dcb26c2d3ebd3cbe0cb6c04728" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Viewport::getTop           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets one of the relative dimensions of the viewport, a value between 0.0 and 1.0. 
<p>

</div>
</div><p>
<a class="anchor" name="6b2b7e7b071c6666c957f2cfbcdeeca6"></a><!-- doxytag: member="Ogre::Viewport::getWidth" ref="6b2b7e7b071c6666c957f2cfbcdeeca6" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Viewport::getWidth           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets one of the relative dimensions of the viewport, a value between 0.0 and 1.0. 
<p>

</div>
</div><p>
<a class="anchor" name="ceef8b4b94fb974dbd620e16228d08e5"></a><!-- doxytag: member="Ogre::Viewport::getHeight" ref="ceef8b4b94fb974dbd620e16228d08e5" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Viewport::getHeight           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets one of the relative dimensions of the viewport, a value between 0.0 and 1.0. 
<p>

</div>
</div><p>
<a class="anchor" name="78b1d4c2b44a2243766d18f018a98939"></a><!-- doxytag: member="Ogre::Viewport::getActualLeft" ref="78b1d4c2b44a2243766d18f018a98939" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Ogre::Viewport::getActualLeft           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets one of the actual dimensions of the viewport, a value in pixels. 
<p>

</div>
</div><p>
<a class="anchor" name="604d46921a9c64ded5c65a9e93b7e8ee"></a><!-- doxytag: member="Ogre::Viewport::getActualTop" ref="604d46921a9c64ded5c65a9e93b7e8ee" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Ogre::Viewport::getActualTop           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets one of the actual dimensions of the viewport, a value in pixels. 
<p>

</div>
</div><p>
<a class="anchor" name="6f777d1ade751a38ce0851307f52b6c2"></a><!-- doxytag: member="Ogre::Viewport::getActualWidth" ref="6f777d1ade751a38ce0851307f52b6c2" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Ogre::Viewport::getActualWidth           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets one of the actual dimensions of the viewport, a value in pixels. 
<p>

</div>
</div><p>
<a class="anchor" name="bb04c51b0c8c39ff0d08213d3b263561"></a><!-- doxytag: member="Ogre::Viewport::getActualHeight" ref="bb04c51b0c8c39ff0d08213d3b263561" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Ogre::Viewport::getActualHeight           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets one of the actual dimensions of the viewport, a value in pixels. 
<p>

</div>
</div><p>
<a class="anchor" name="ed7bc69a7ca7a787d79832dbccff9e27"></a><!-- doxytag: member="Ogre::Viewport::setDimensions" ref="ed7bc69a7ca7a787d79832dbccff9e27" args="(Real left, Real top, Real width, Real height)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Viewport::setDimensions           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>left</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>top</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>height</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the dimensions (after creation). 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>left</em>&nbsp;</td><td></td></tr>
    <tr><td valign="top"></td><td valign="top"><em>top</em>&nbsp;</td><td></td></tr>
    <tr><td valign="top"></td><td valign="top"><em>width</em>&nbsp;</td><td></td></tr>
    <tr><td valign="top"></td><td valign="top"><em>height</em>&nbsp;</td><td>Dimensions relative to the size of the target, represented as real values between 0 and 1. i.e. the full target area is 0, 0, 1, 1. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="3770973e7626d75592a79d0670b862d9"></a><!-- doxytag: member="Ogre::Viewport::setBackgroundColour" ref="3770973e7626d75592a79d0670b862d9" args="(const ColourValue &amp;colour)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Viewport::setBackgroundColour           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>colour</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the initial background colour of the viewport (before rendering). 
<p>

</div>
</div><p>
<a class="anchor" name="a550346673e5e77951bbe44165b59808"></a><!-- doxytag: member="Ogre::Viewport::getBackgroundColour" ref="a550346673e5e77951bbe44165b59808" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&amp; Ogre::Viewport::getBackgroundColour           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the background colour. 
<p>

</div>
</div><p>
<a class="anchor" name="d9c172c23b0dcccd929f31d4416f9683"></a><!-- doxytag: member="Ogre::Viewport::setClearEveryFrame" ref="d9c172c23b0dcccd929f31d4416f9683" args="(bool clear, unsigned int buffers=FBT_COLOUR|FBT_DEPTH)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Viewport::setClearEveryFrame           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>clear</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&nbsp;</td>
          <td class="paramname"> <em>buffers</em> = <code>FBT_COLOUR|FBT_DEPTH</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Determines whether to clear the viewport before rendering. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>You can use this method to set which buffers are cleared (if any) before rendering every frame. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>clear</em>&nbsp;</td><td>Whether or not to clear any buffers </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>buffers</em>&nbsp;</td><td>One or more values from FrameBufferType denoting which buffers to clear, if clear is set to true. Note you should not clear the stencil buffer here unless you know what you're doing. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="d1894b2114c40f68f98580dcd8110d25"></a><!-- doxytag: member="Ogre::Viewport::getClearEveryFrame" ref="d1894b2114c40f68f98580dcd8110d25" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Viewport::getClearEveryFrame           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Determines if the viewport is cleared before every frame. 
<p>

</div>
</div><p>
<a class="anchor" name="747d9d108b9702674598853051d21b7d"></a><!-- doxytag: member="Ogre::Viewport::getClearBuffers" ref="747d9d108b9702674598853051d21b7d" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int Ogre::Viewport::getClearBuffers           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets which buffers are to be cleared each frame. 
<p>

</div>
</div><p>
<a class="anchor" name="8e8577fd81c45b05de880106f364a281"></a><!-- doxytag: member="Ogre::Viewport::setMaterialScheme" ref="8e8577fd81c45b05de880106f364a281" args="(const String &amp;schemeName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Viewport::setMaterialScheme           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>schemeName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the material scheme which the viewport should use. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This allows you to tell the system to use a particular material scheme when rendering this viewport, which can involve using different techniques to render your materials. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Technique.html#43b6c4e9e48c4e56f96633b916ee90a3" title="Set the &#39;scheme name&#39; for this technique.">Technique::setSchemeName</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00200">200</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6a7957a8f88824cb9dffad4627aed0c2"></a><!-- doxytag: member="Ogre::Viewport::getMaterialScheme" ref="6a7957a8f88824cb9dffad4627aed0c2" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::Viewport::getMaterialScheme           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the material scheme which the viewport should use. 
<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00205">205</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="464b7641f63ceb11542452e08f0c7682"></a><!-- doxytag: member="Ogre::Viewport::getActualDimensions" ref="464b7641f63ceb11542452e08f0c7682" args="(int &amp;left, int &amp;top, int &amp;width, int &amp;height) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Viewport::getActualDimensions           </td>
          <td>(</td>
          <td class="paramtype">int &amp;&nbsp;</td>
          <td class="paramname"> <em>left</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&nbsp;</td>
          <td class="paramname"> <em>top</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&nbsp;</td>
          <td class="paramname"> <em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&nbsp;</td>
          <td class="paramname"> <em>height</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Access to actual dimensions (based on target size). 
<p>

</div>
</div><p>
<a class="anchor" name="93972965b5498b5aab4e18fe78c93647"></a><!-- doxytag: member="Ogre::Viewport::_isUpdated" ref="93972965b5498b5aab4e18fe78c93647" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Viewport::_isUpdated           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="7998e64f3a79ac014813218f5e7cdd8e"></a><!-- doxytag: member="Ogre::Viewport::_clearUpdatedFlag" ref="7998e64f3a79ac014813218f5e7cdd8e" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Viewport::_clearUpdatedFlag           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="f7c0f96ca9eb135af8b4e4da601fd907"></a><!-- doxytag: member="Ogre::Viewport::_getNumRenderedFaces" ref="f7c0f96ca9eb135af8b4e4da601fd907" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int Ogre::Viewport::_getNumRenderedFaces           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the number of rendered faces in the last update. 
<p>

</div>
</div><p>
<a class="anchor" name="281c5fa62a3da7ac0a1d9157483e25f3"></a><!-- doxytag: member="Ogre::Viewport::_getNumRenderedBatches" ref="281c5fa62a3da7ac0a1d9157483e25f3" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int Ogre::Viewport::_getNumRenderedBatches           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the number of rendered batches in the last update. 
<p>

</div>
</div><p>
<a class="anchor" name="598f5bd68b1c88cd3ae5a50343965afd"></a><!-- doxytag: member="Ogre::Viewport::setOverlaysEnabled" ref="598f5bd68b1c88cd3ae5a50343965afd" args="(bool enabled)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Viewport::setOverlaysEnabled           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>enabled</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tells this viewport whether it should display <a class="el" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents...">Overlay</a> objects. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents...">Overlay</a> objects are layers which appear on top of the scene. They are created via SceneManager::createOverlay and every viewport displays these by default. However, you probably don't want this if you're using multiple viewports, because one of them is probably a picture-in-picture which is not supposed to have overlays of it's own. In this case you can turn off overlays on this viewport by calling this method. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>enabled</em>&nbsp;</td><td>If true, any overlays are displayed, if false they are not. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="d1a3965c457f32ef2b94a27c4d66d192"></a><!-- doxytag: member="Ogre::Viewport::getOverlaysEnabled" ref="d1a3965c457f32ef2b94a27c4d66d192" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Viewport::getOverlaysEnabled           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether or not <a class="el" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents...">Overlay</a> objects (created in the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>) are displayed in this viewport. 
<p>

</div>
</div><p>
<a class="anchor" name="176a24ccbb9881c4fc61f3f1aaba3c12"></a><!-- doxytag: member="Ogre::Viewport::setSkiesEnabled" ref="176a24ccbb9881c4fc61f3f1aaba3c12" args="(bool enabled)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Viewport::setSkiesEnabled           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>enabled</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tells this viewport whether it should display skies. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Skies are layers which appear on background of the scene. They are created via <a class="el" href="classOgre_1_1SceneManager.html#f419fca38294bef65224162b3ad4af36" title="Enables / disables a &#39;sky box&#39; i.e.">SceneManager::setSkyBox</a>, <a class="el" href="classOgre_1_1SceneManager.html#7f9395e50574b0d0c343036cf816c2bf" title="Enables / disables a &#39;sky plane&#39; i.e.">SceneManager::setSkyPlane</a> and <a class="el" href="classOgre_1_1SceneManager.html#dd758e3fa5df1291df9ff98b2594d35b" title="Enables / disables a &#39;sky dome&#39; i.e.">SceneManager::setSkyDome</a> and every viewport displays these by default. However, you probably don't want this if you're using multiple viewports, because one of them is probably a picture-in-picture which is not supposed to have skies of it's own. In this case you can turn off skies on this viewport by calling this method. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>enabled</em>&nbsp;</td><td>If true, any skies are displayed, if false they are not. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="7f298d53b2d7575bbacc0d556df14774"></a><!-- doxytag: member="Ogre::Viewport::getSkiesEnabled" ref="7f298d53b2d7575bbacc0d556df14774" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Viewport::getSkiesEnabled           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether or not skies (created in the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>) are displayed in this viewport. 
<p>

</div>
</div><p>
<a class="anchor" name="b71a4790d66e3cddd3b36b3c1b4fd23c"></a><!-- doxytag: member="Ogre::Viewport::setShadowsEnabled" ref="b71a4790d66e3cddd3b36b3c1b4fd23c" args="(bool enabled)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Viewport::setShadowsEnabled           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>enabled</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tells this viewport whether it should display shadows. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This setting enables you to disable shadow rendering for a given viewport. The global shadow technique set on <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> still controls the type and nature of shadows, but this flag can override the setting so that no shadows are rendered for a given viewport to save processing time where they are not required. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>enabled</em>&nbsp;</td><td>If true, any shadows are displayed, if false they are not. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="34a4b65ac55e6b6f107f6800050dbdb6"></a><!-- doxytag: member="Ogre::Viewport::getShadowsEnabled" ref="34a4b65ac55e6b6f107f6800050dbdb6" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Viewport::getShadowsEnabled           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether or not shadows (defined in the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>) are displayed in this viewport. 
<p>

</div>
</div><p>
<a class="anchor" name="d5a4fe00ee05861c157bf63e78e1c2b0"></a><!-- doxytag: member="Ogre::Viewport::setVisibilityMask" ref="d5a4fe00ee05861c157bf63e78e1c2b0" args="(uint32 mask)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Viewport::setVisibilityMask           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>mask</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets a per-viewport visibility mask. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The visibility mask is a way to exclude objects from rendering for a given viewport. For each object in the frustum, a check is made between this mask and the objects visibility flags (</dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1MovableObject.html#9421323e0ef6082d8a293aef0ba4666d" title="Sets the visiblity flags for this object.">MovableObject::setVisibilityFlags</a>), and if a binary 'and' returns zero, the object will not be rendered. </dd></dl>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00279">279</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="84e9c01f4e8e62422be4fda269dd54cd"></a><!-- doxytag: member="Ogre::Viewport::getVisibilityMask" ref="84e9c01f4e8e62422be4fda269dd54cd" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> Ogre::Viewport::getVisibilityMask           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets a per-viewport visibility mask. 
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Viewport.html#d5a4fe00ee05861c157bf63e78e1c2b0" title="Sets a per-viewport visibility mask.">Viewport::setVisibilityMask</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00284">284</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="145439ce2c54216d8d65d3066bbedbdd"></a><!-- doxytag: member="Ogre::Viewport::setRenderQueueInvocationSequenceName" ref="145439ce2c54216d8d65d3066bbedbdd" args="(const String &amp;sequenceName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Viewport::setRenderQueueInvocationSequenceName           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>sequenceName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the use of a custom <a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html" title="Class to hold a linear sequence of RenderQueueInvocation objects.">RenderQueueInvocationSequence</a> for rendering this target. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html" title="Class to hold a linear sequence of RenderQueueInvocation objects.">RenderQueueInvocationSequence</a> instances are managed through <a class="el" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a>. By setting this, you are indicating that you wish this <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> to be updated using a custom sequence of render queue invocations, with potentially customised ordering and render state options. You should create the named sequence through <a class="el" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a> first, then set the name here. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>The</em>&nbsp;</td><td>name of the <a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html" title="Class to hold a linear sequence of RenderQueueInvocation objects.">RenderQueueInvocationSequence</a> to use. If you specify a blank string, behaviour will return to the defaul render queue management. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="78beb299d9ca2681365a19de39708a0d"></a><!-- doxytag: member="Ogre::Viewport::getRenderQueueInvocationSequenceName" ref="78beb299d9ca2681365a19de39708a0d" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::Viewport::getRenderQueueInvocationSequenceName           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the name of the render queue invocation sequence for this target. 
<p>

</div>
</div><p>
<a class="anchor" name="dd9644e3223359c0eb1075de0b1b801b"></a><!-- doxytag: member="Ogre::Viewport::_getRenderQueueInvocationSequence" ref="dd9644e3223359c0eb1075de0b1b801b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html">RenderQueueInvocationSequence</a>* Ogre::Viewport::_getRenderQueueInvocationSequence           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the invocation sequence - will return null if using standard. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="36698bf38ccd2f3352acdfa87f872bc8"></a><!-- doxytag: member="Ogre::Viewport::mCamera" ref="36698bf38ccd2f3352acdfa87f872bc8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Camera.html">Camera</a>* <a class="el" href="classOgre_1_1Viewport.html#36698bf38ccd2f3352acdfa87f872bc8">Ogre::Viewport::mCamera</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00305">305</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="30e4c768a1a5ac98c6b1eae1aa1936a7"></a><!-- doxytag: member="Ogre::Viewport::mTarget" ref="30e4c768a1a5ac98c6b1eae1aa1936a7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a>* <a class="el" href="classOgre_1_1Viewport.html#30e4c768a1a5ac98c6b1eae1aa1936a7">Ogre::Viewport::mTarget</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00306">306</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0dd49213851c5c32d8b9688d1ea70ab7"></a><!-- doxytag: member="Ogre::Viewport::mRelLeft" ref="0dd49213851c5c32d8b9688d1ea70ab7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1Viewport.html#0dd49213851c5c32d8b9688d1ea70ab7">Ogre::Viewport::mRelLeft</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00308">308</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7ad1871b3ae4f48605ba777bc7fad8c2"></a><!-- doxytag: member="Ogre::Viewport::mRelTop" ref="7ad1871b3ae4f48605ba777bc7fad8c2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1Viewport.html#7ad1871b3ae4f48605ba777bc7fad8c2">Ogre::Viewport::mRelTop</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00308">308</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="afd8a3dc0df1d03cbab1810379c66475"></a><!-- doxytag: member="Ogre::Viewport::mRelWidth" ref="afd8a3dc0df1d03cbab1810379c66475" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1Viewport.html#afd8a3dc0df1d03cbab1810379c66475">Ogre::Viewport::mRelWidth</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00308">308</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8e2133edd0baaa674df0874781592e5e"></a><!-- doxytag: member="Ogre::Viewport::mRelHeight" ref="8e2133edd0baaa674df0874781592e5e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1Viewport.html#8e2133edd0baaa674df0874781592e5e">Ogre::Viewport::mRelHeight</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00308">308</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="646ba5a5404bdfdf3d79a5a2683304be"></a><!-- doxytag: member="Ogre::Viewport::mActLeft" ref="646ba5a5404bdfdf3d79a5a2683304be" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1Viewport.html#646ba5a5404bdfdf3d79a5a2683304be">Ogre::Viewport::mActLeft</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00310">310</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9964f4588bc0db471354d0b9d7d9ff7f"></a><!-- doxytag: member="Ogre::Viewport::mActTop" ref="9964f4588bc0db471354d0b9d7d9ff7f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1Viewport.html#9964f4588bc0db471354d0b9d7d9ff7f">Ogre::Viewport::mActTop</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00310">310</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4ff8c7f41b09c379d3b58b662a3efea8"></a><!-- doxytag: member="Ogre::Viewport::mActWidth" ref="4ff8c7f41b09c379d3b58b662a3efea8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1Viewport.html#4ff8c7f41b09c379d3b58b662a3efea8">Ogre::Viewport::mActWidth</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00310">310</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b7b093d9ac827c273768e53060fd8726"></a><!-- doxytag: member="Ogre::Viewport::mActHeight" ref="b7b093d9ac827c273768e53060fd8726" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1Viewport.html#b7b093d9ac827c273768e53060fd8726">Ogre::Viewport::mActHeight</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00310">310</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="682fb477e687507fd715f2dfd29c397c"></a><!-- doxytag: member="Ogre::Viewport::mZOrder" ref="682fb477e687507fd715f2dfd29c397c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1Viewport.html#682fb477e687507fd715f2dfd29c397c">Ogre::Viewport::mZOrder</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
ZOrder. 
<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00312">312</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="36865f1dadd8c420534b75d908d102be"></a><!-- doxytag: member="Ogre::Viewport::mBackColour" ref="36865f1dadd8c420534b75d908d102be" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1Viewport.html#36865f1dadd8c420534b75d908d102be">Ogre::Viewport::mBackColour</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Background options. 
<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00314">314</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cfd2ea86e54aee8f02f41e1fb5dc3b9b"></a><!-- doxytag: member="Ogre::Viewport::mClearEveryFrame" ref="cfd2ea86e54aee8f02f41e1fb5dc3b9b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Viewport.html#cfd2ea86e54aee8f02f41e1fb5dc3b9b">Ogre::Viewport::mClearEveryFrame</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00315">315</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c6f276653f755783c0c7a9553eae8e66"></a><!-- doxytag: member="Ogre::Viewport::mClearBuffers" ref="c6f276653f755783c0c7a9553eae8e66" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1Viewport.html#c6f276653f755783c0c7a9553eae8e66">Ogre::Viewport::mClearBuffers</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00316">316</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b709605fc7d6015af896b43cc71831ba"></a><!-- doxytag: member="Ogre::Viewport::mUpdated" ref="b709605fc7d6015af896b43cc71831ba" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Viewport.html#b709605fc7d6015af896b43cc71831ba">Ogre::Viewport::mUpdated</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00317">317</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="628f58393bf84c4fb404421919b6f198"></a><!-- doxytag: member="Ogre::Viewport::mShowOverlays" ref="628f58393bf84c4fb404421919b6f198" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Viewport.html#628f58393bf84c4fb404421919b6f198">Ogre::Viewport::mShowOverlays</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00318">318</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="de5f6bd07d4902efb3e087c73a57ecab"></a><!-- doxytag: member="Ogre::Viewport::mShowSkies" ref="de5f6bd07d4902efb3e087c73a57ecab" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Viewport.html#de5f6bd07d4902efb3e087c73a57ecab">Ogre::Viewport::mShowSkies</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00319">319</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="508ab72bd9d5739210a6db2da0cbbc39"></a><!-- doxytag: member="Ogre::Viewport::mShowShadows" ref="508ab72bd9d5739210a6db2da0cbbc39" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Viewport.html#508ab72bd9d5739210a6db2da0cbbc39">Ogre::Viewport::mShowShadows</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00320">320</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9af0d0c0aca7cfedae4bd2b8fef0c333"></a><!-- doxytag: member="Ogre::Viewport::mVisibilityMask" ref="9af0d0c0aca7cfedae4bd2b8fef0c333" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1Viewport.html#9af0d0c0aca7cfedae4bd2b8fef0c333">Ogre::Viewport::mVisibilityMask</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00321">321</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a1a763caddecc5e3d49b72bbd8726ce2"></a><!-- doxytag: member="Ogre::Viewport::mRQSequenceName" ref="a1a763caddecc5e3d49b72bbd8726ce2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Viewport.html#a1a763caddecc5e3d49b72bbd8726ce2">Ogre::Viewport::mRQSequenceName</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00323">323</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8b082dd8109b00852809d8ca821dbccb"></a><!-- doxytag: member="Ogre::Viewport::mRQSequence" ref="8b082dd8109b00852809d8ca821dbccb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html">RenderQueueInvocationSequence</a>* <a class="el" href="classOgre_1_1Viewport.html#8b082dd8109b00852809d8ca821dbccb">Ogre::Viewport::mRQSequence</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00324">324</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cbe0e8aaceb85d46ace547d5f5204090"></a><!-- doxytag: member="Ogre::Viewport::mMaterialSchemeName" ref="cbe0e8aaceb85d46ace547d5f5204090" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Viewport.html#cbe0e8aaceb85d46ace547d5f5204090">Ogre::Viewport::mMaterialSchemeName</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> scheme. 
<p>

<p>Definition at line <a class="el" href="OgreViewport_8h-source.html#l00326">326</a> of file <a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreViewport_8h-source.html">OgreViewport.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:12 2008
</p>
</body>
</html>
